package hrejb.model;
import javax.ejb.EJBLocalHome;
import javax.ejb.CreateException;
import javax.ejb.FinderException;
import java.util.Collection;

public interface DepartmentsLocalHome extends EJBLocalHome 
{
  DepartmentsLocal create() throws CreateException;

  DepartmentsLocal findByPrimaryKey(Long primaryKey) throws FinderException;

  Collection findAll() throws FinderException;

  DepartmentsLocal create(Long departmentId, String departmentName) throws CreateException;

  Collection findByLocationId(Long locationId) throws FinderException;
}