package hrejb.model;
import java.util.ArrayList;
import java.util.Iterator;
import javax.ejb.EJBException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import java.util.Collection;

public class DeptEmpSessionFacadeBean implements SessionBean 
{
  public Collection seattleDepartments;

  public void ejbCreate()
  {
  }

  public void ejbActivate()
  {
  }

  public void ejbPassivate()
  {
  }

  public void ejbRemove()
  {
  }

  public void setSessionContext(SessionContext ctx)
  {
  }

  private DepartmentsLocalHome getDepartmentsLocalHome() throws NamingException
  {
    final InitialContext context = new InitialContext();
    return (DepartmentsLocalHome)context.lookup("java:comp/env/ejb/local/Departments");
  }

  public Collection getSeattleDepartments()
  {
    try
    {
      ArrayList dtoList = new ArrayList();
      Collection beanList =
        getDepartmentsLocalHome().findByLocationId(new Long(1700));
      Iterator beanIter = beanList.iterator();
      DepartmentsLocal currBean;
      while (beanIter.hasNext())
      {
        currBean = (DepartmentsLocal) beanIter.next();
        DepartmentsLocalDTO deptsDTO =
          new DepartmentsLocalDTO(currBean);
        dtoList.add(deptsDTO);
      }
      return dtoList;
    }
    catch (Exception e)
    {
      System.out.println(e.toString());
      throw new EJBException(e);
    }
  }

  public void setSeattleDepartments(Collection seattleDepartments)
  {
    this.seattleDepartments = seattleDepartments;
  }
}