package hrejb.model;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.rmi.PortableRemoteObject;
import hrejb.model.DeptEmpSessionFacade;
import hrejb.model.DeptEmpSessionFacadeHome;
import java.rmi.RemoteException;
import javax.ejb.CreateException;
import javax.naming.NamingException;

public class DeptEmpSessionFacadeDataControl 
{
  private InitialContext _initialContext;
  private DeptEmpSessionFacadeHome _deptEmpSessionFacadeHome;
  private DeptEmpSessionFacade _deptEmpSessionFacade;

  public DeptEmpSessionFacadeDataControl()
  {
  }

  public DeptEmpSessionFacade create() throws RemoteException, CreateException, NamingException
  {
    return getDeptEmpSessionFacadeHome().create();
  }

  public java.util.Collection getSeattleDepartments() throws RemoteException, CreateException, NamingException
  {
    return getDeptEmpSessionFacade().getSeattleDepartments();
  }

  public void setSeattleDepartments(java.util.Collection seattleDepartments) throws RemoteException, CreateException, NamingException
  {
    getDeptEmpSessionFacade().setSeattleDepartments(seattleDepartments);
  }

  private DeptEmpSessionFacade getDeptEmpSessionFacade() throws RemoteException, CreateException, NamingException
  {
    if (_deptEmpSessionFacade == null)
    {
      _deptEmpSessionFacade = getDeptEmpSessionFacadeHome().create();
    }

    return _deptEmpSessionFacade;
  }

  private DeptEmpSessionFacadeHome getDeptEmpSessionFacadeHome() throws NamingException
  {
    if (_deptEmpSessionFacadeHome == null)
    {
      final Context context = getInitialContext();
      try
      {
        _deptEmpSessionFacadeHome = (DeptEmpSessionFacadeHome)PortableRemoteObject.narrow(context.lookup("DeptEmpSessionFacade"), DeptEmpSessionFacadeHome.class);
      }
      catch(NamingException e)
      {
        final NamingException ex = new NamingException("A NamingException occurred when looking up EJB 'DeptEmpSessionFacade' with LocalHome interface 'hrejb.model.DeptEmpSessionFacadeHome'.  This may indicate that a 'jndi.properties' file was not present in the classpath, or that its data is invalid.");
        ex.setRootCause(e);
        throw ex;
      }

    }

    return _deptEmpSessionFacadeHome;
  }

  private Context getInitialContext() throws NamingException
  {
    if (_initialContext == null)
    {
      _initialContext = new InitialContext();
    }

    return _initialContext;
  }
}