package hrejb.model;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import java.sql.Timestamp;
import java.util.Collection;

public abstract class EmployeesBean implements EntityBean 
{
  private EntityContext context;

  public Long ejbCreate()
  {
    return null;
  }

  public void ejbPostCreate()
  {
  }

  public Long ejbCreate(Long employeeId, String lastName, String email, Timestamp hireDate, String jobId)
  {
    setEmployeeId(employeeId);
    setLastName(lastName);
    setEmail(email);
    setHireDate(hireDate);
    setJobId(jobId);
    return employeeId;
  }

  public void ejbPostCreate(Long employeeId, String lastName, String email, Timestamp hireDate, String jobId)
  {
  }

  public void ejbActivate()
  {
  }

  public void ejbLoad()
  {
  }

  public void ejbPassivate()
  {
  }

  public void ejbRemove()
  {
  }

  public void ejbStore()
  {
  }

  public void setEntityContext(EntityContext ctx)
  {
    this.context = ctx;
  }

  public void unsetEntityContext()
  {
    this.context = null;
  }

  public abstract Long getEmployeeId();

  public abstract void setEmployeeId(Long employeeId);

  public abstract String getFirstName();

  public abstract void setFirstName(String firstName);

  public abstract String getLastName();

  public abstract void setLastName(String lastName);

  public abstract String getEmail();

  public abstract void setEmail(String email);

  public abstract String getPhoneNumber();

  public abstract void setPhoneNumber(String phoneNumber);

  public abstract Timestamp getHireDate();

  public abstract void setHireDate(Timestamp hireDate);

  public abstract String getJobId();

  public abstract void setJobId(String jobId);

  public abstract Double getSalary();

  public abstract void setSalary(Double salary);

  public abstract Double getCommissionPct();

  public abstract void setCommissionPct(Double commissionPct);

  public abstract EmployeesLocal getEmployees_managerId();

  public abstract void setEmployees_managerId(EmployeesLocal employees_managerId);

  public abstract Collection getEmployees_managerId_1();

  public abstract void setEmployees_managerId_1(Collection employees_managerId_1);

  public abstract Collection getDepartments_managerId();

  public abstract void setDepartments_managerId(Collection departments_managerId);

  public abstract DepartmentsLocal getDepartments_departmentId();

  public abstract void setDepartments_departmentId(DepartmentsLocal departments_departmentId);
}