package layout.client;
import java.awt.Container;
import javax.swing.JFrame;
import java.awt.Dimension;
import javax.swing.JTextField;
import java.awt.Rectangle;
import javax.swing.JCheckBox;
import java.awt.BorderLayout;
import javax.swing.JPanel;
import java.awt.GridBagLayout;
import java.awt.FlowLayout;
import oracle.jdeveloper.layout.VerticalFlowLayout;
import javax.swing.BorderFactory;
import java.awt.Color;
import oracle.jdeveloper.layout.BoxLayout2;
import javax.swing.BoxLayout;
import javax.swing.JSeparator;
import java.awt.CardLayout;
import javax.swing.JButton;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.JLabel;

public class CardLayoutFrame extends JFrame 
{
  private JPanel jPanel1 = new JPanel();
  private JTextField jTextField2 = new JTextField();
  private JPanel jPanel2 = new JPanel();
  private JPanel jPanel4 = new JPanel();
  private BoxLayout2 boxLayout24 = new BoxLayout2();
  private JPanel jPanel3 = new JPanel();
  private BoxLayout2 boxLayout23 = new BoxLayout2();
  private CardLayout cardLayout1 = new CardLayout();
  private JButton jButton1 = new JButton();
  private JTextField jTextField1 = new JTextField();
  private JCheckBox jCheckBox1 = new JCheckBox();
  private JLabel jLabel1 = new JLabel();
  private JLabel jLabel2 = new JLabel();

  public CardLayoutFrame()
  {
    try
    {
      jbInit();
//this.pack();  
}
    catch(Exception e)
    {
      e.printStackTrace();
    }

  }

  private void jbInit() throws Exception
  {
    this.getContentPane().setLayout(null);
    this.setSize(new Dimension(326, 282));
    this.setTitle("Card Layout Example");
    jPanel1.setLayout(cardLayout1);
    jPanel1.setBounds(new Rectangle(50, 100, 215, 75));
    jPanel1.setBorder(BorderFactory.createLineBorder(Color.black, 1));
    jPanel1.setAlignmentX((float)0.5);
    jPanel1.setAlignmentY((float)0.0);
    jTextField2.setText("Title Text Field");
    jTextField2.setBounds(new Rectangle(55, 50, 170, 20));
    jPanel2.setLayout(null);
    jPanel2.setBorder(BorderFactory.createLineBorder(Color.black, 1));
    jPanel2.setMaximumSize(new Dimension(20, 20));
    jPanel2.setMinimumSize(new Dimension(20, 20));
    jPanel2.setAlignmentX((float)0.0);
    jPanel4.setLayout(boxLayout24);
    jPanel4.setBorder(BorderFactory.createLineBorder(Color.black, 1));
    jPanel4.setMaximumSize(new Dimension(20, 20));
    jPanel4.setMinimumSize(new Dimension(20, 20));
    jPanel4.setAlignmentX((float)0.0);
    jPanel3.setLayout(boxLayout23);
    jPanel3.setBorder(BorderFactory.createLineBorder(Color.black, 1));
    jPanel3.setMaximumSize(new Dimension(20, 20));
    jPanel3.setMinimumSize(new Dimension(20, 20));
    jPanel3.setAlignmentX((float)0.0);
    jButton1.setText("Click Me to Cycle Through the Cards");
    jButton1.setBounds(new Rectangle(50, 185, 215, 25));
    jButton1.addActionListener(new ActionListener()
      {
        public void actionPerformed(ActionEvent e)
        {
          jButton1_actionPerformed(e);
        }
      });
    jTextField1.setText("Text Field 1");
    jTextField1.setBounds(new Rectangle(35, 25, 135, 25));
    jCheckBox1.setText("Check Box 1");
    jLabel1.setText("Panel 1");
    jLabel2.setText("Label 1");
    this.getContentPane().add(jButton1, null);
    this.getContentPane().add(jTextField2, null);
    this.getContentPane().add(jPanel1, null);
    jPanel2.add(jTextField1, null);
    jPanel1.add(jPanel2, "jPanel2");
    jPanel4.add(jCheckBox1, null);
    jPanel1.add(jPanel4, "jPanel4");
    jPanel3.add(jLabel1, null);
    jPanel1.add(jPanel3, "jPanel3");
    jPanel1.add(jLabel2, "jLabel2");


  }

  private void jButton1_actionPerformed(ActionEvent e)
  { 
    cardLayout1. next(jPanel1);
  }
}