package layout;

import javax.swing.*;
import java.awt.*;
import oracle.jdeveloper.layout.*;

import javax.swing.border.*;

public class OverlayLayoutFrame extends JFrame {
  JPanel jPanel1 = new JPanel();
  OverlayLayout2 overlayLayout21 = new OverlayLayout2();
  JPanel jPanel3 = new JPanel();
  JPanel jPanel2 = new JPanel();
  BorderLayout borderLayout1 = new BorderLayout();

  /**
   * Constructs a new instance.
   */
  public OverlayLayoutFrame() {
    super();
    try  {
      jbInit();
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }

  /**
   * Initializes the state of this instance.
   */
  private void jbInit() throws Exception {
    this.getContentPane().setLayout(borderLayout1);
    this.setTitle("OverlayLayout2");
    this.setSize(new Dimension(400, 300));
    jPanel1.setLayout(overlayLayout21);
    Border lineBorder = BorderFactory.createLineBorder(Color.black);

    Border etchedBorder = BorderFactory.createEtchedBorder();
    jPanel1.setAlignmentX((float) 0.5);
    jPanel3.setMaximumSize(new Dimension(200, 50));
    jPanel3.setBorder(lineBorder);
    jPanel3.setMinimumSize(new Dimension(10, 10));
    jPanel2.setMaximumSize(new Dimension(300, 200));
    jPanel2.setAlignmentY((float) 0.0);
    jPanel2.setMinimumSize(new Dimension(100, 100));
    jPanel2.setBorder(lineBorder);
    this.getContentPane().add(jPanel1, BorderLayout.CENTER);
    jPanel1.add(jPanel3, null);
    jPanel1.add(jPanel2, null);

  }
}

 
