package layout;

import javax.swing.*;
import java.awt.*;
import oracle.jdeveloper.layout.*;

import javax.swing.border.*;
import oracle.jdeveloper.layout.PaneConstraints;
import layout.PaneLayoutApp;

public class PaneLayoutFrame extends JFrame {
  JPanel jPanel1 = new JPanel();
  PaneLayout paneLayout1 = new PaneLayout();
  JPanel jPanel3 = new JPanel();
  JPanel jPanel4 = new JPanel();
  JPanel jPanel5 = new JPanel();
  JPanel jPanel6 = new JPanel();
  BorderLayout borderLayout1 = new BorderLayout();

  /**
   * Constructs a new instance.
   */
  public PaneLayoutFrame() {
    super();
    try  {
      jbInit();
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }

  /**
   * Initializes the state of this instance.
   */
  private void jbInit() throws Exception {
    Border lineBorder = BorderFactory.createLineBorder(Color.black);
    Border whiteBorder = BorderFactory.createLineBorder(Color.white);
    this.getContentPane().setLayout(borderLayout1);
    this.setTitle("PaneLayout");
    this.setSize(new Dimension(400, 300));
    jPanel1.setLayout(paneLayout1);

    Border etchedBorder = BorderFactory.createEtchedBorder();
    paneLayout1.setGap(2);
    jPanel3.setBorder(lineBorder);
    jPanel4.setBorder(lineBorder);
    jPanel5.setBorder(lineBorder);
    jPanel6.setBorder(lineBorder);
    this.getContentPane().add(jPanel1, BorderLayout.CENTER);
    jPanel1.add(jPanel3, new PaneConstraints("jPanel3", "jPanel3", null, 0.5f));
    jPanel1.add(jPanel4, new PaneConstraints("jPanel4", "jPanel3", PaneConstraints.RIGHT, 0.5f));
    jPanel1.add(jPanel5, new PaneConstraints("jPanel5", "jPanel4", PaneConstraints.BOTTOM, 0.5f));
    jPanel1.add(jPanel6, new PaneConstraints("jPanel6", "jPanel5", PaneConstraints.BOTTOM, 0.7f));

  }
}

    
