package layout;

import javax.swing.JPanel;
import javax.swing.JScrollPane;
import java.awt.Rectangle;
import oracle.jdeveloper.layout.XYLayout;
import javax.swing.JButton;
import oracle.jdeveloper.layout.XYConstraints;
import javax.swing.BorderFactory;
import java.awt.Color;
import java.awt.Dimension;

public class Panel1 extends JPanel
{
  private JScrollPane jScrollPane1 = new JScrollPane();
  private JPanel jPanel1 = new JPanel();
  private JScrollPane jScrollPane2 = new JScrollPane();
  private JPanel jPanel2 = new JPanel();
  private XYLayout xYLayout1 = new XYLayout();
  private JButton jButton1 = new JButton();
  private JButton jButton2 = new JButton();

  public Panel1()
  {
    try
    {
      jbInit();
    }
    catch(Exception e)
    {
      e.printStackTrace();
    }

  }

  private void jbInit() throws Exception
  {
    this.setLayout(null);
    jScrollPane1.setBounds(new Rectangle(25, 25, 140, 250));
   
    jScrollPane1.setBorder(BorderFactory.createTitledBorder("XYLayout"));
    jPanel1.setLayout(xYLayout1);
    jScrollPane2.setBounds(new Rectangle(225, 25, 140, 250));
    jScrollPane2.setBorder(BorderFactory.createTitledBorder("Null Layout"));
    jPanel2.setLayout(null);
    jButton1.setText("jButton1");
    jButton2.setText("jButton2");
    jButton2.setBounds(new Rectangle(25, 25, 75, 22));
    jPanel1.add(jButton1, new XYConstraints(25, 25, -1, -1));
    jScrollPane1.getViewport().add(jPanel1, null);
    jPanel2.add(jButton2, null);
    jScrollPane2.getViewport().add(jPanel2, null);
    this.add(jScrollPane2, null);
    this.add(jScrollPane1, null);
  }
  /* Original Settings
  private void jbInit() throws Exception
  {
    this.setLayout(null);
    jScrollPane1.setBounds(new Rectangle(25, 25, 140, 250));
   
    jScrollPane1.setBorder(BorderFactory.createTitledBorder("XYLayout"));
    jPanel1.setLayout(xYLayout1);
    jScrollPane2.setBounds(new Rectangle(225, 25, 140, 250));
    jScrollPane2.setBorder(BorderFactory.createTitledBorder("Null Layout"));
    jPanel2.setLayout(null);
    jButton1.setText("jButton1");
    jButton2.setText("jButton2");
    jButton2.setBounds(new Rectangle(25, 25, 75, 22));
    jPanel1.add(jButton1, new XYConstraints(25, 25, -1, -1));
    jScrollPane1.getViewport().add(jPanel1, null);
    jPanel2.add(jButton2, null);
    jScrollPane2.getViewport().add(jPanel2, null);
    this.add(jScrollPane2, null);
    this.add(jScrollPane1, null);
  }   
   */
}