<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c"%>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html"%>
<%@ page contentType="text/html;charset=windows-1252"%>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>untitled</title>
<link href="css/jdeveloper.css" rel="stylesheet" media="screen"/>
</head>
<body>
  <html:errors/>
  <H1>Departments Application</H1>
  <html:form action="browseDeptDP.do">
    <table border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td>
          <input type="submit" name="event_First" value="First" <c:out value="${bindings.First.enabledString}"/>/>
        </td>
        <td>
          <input type="submit" name="event_Previous" value="Previous" <c:out value="${bindings.Previous.enabledString}"/>/>
        </td>
        <td>
          <input type="submit" name="event_Next" value="Next" <c:out value="${bindings.Next.enabledString}"/>/>
        </td>
        <td>
          <input type="submit" name="event_Last" value="Last" <c:out value="${bindings.Last.enabledString}"/>/>
        </td>
      </tr>
    </table>
    <table border="1" width="100%">
      <tr>
        <th colspan="2">&nbsp;</th>
        <th>&nbsp;</th>
        <th>
          <c:out value="${bindings.DepartmentsView1.labels['DepartmentId']}"/>
        </th>
        <th>
          <c:out value="${bindings.DepartmentsView1.labels['DepartmentName']}"/>
        </th>
        <th>
          <c:out value="${bindings.DepartmentsView1.labels['ManagerId']}"/>
        </th>
        <th>
          <c:out value="${bindings.DepartmentsView1.labels['LocationId']}"/>
        </th>
      </tr>
      <c:forEach var="Row" items="${bindings.DepartmentsView1.rangeSet}" varStatus="currentStatus"> 
        <c:choose>
          <c:when test="${Row.currencyString=='*'}">
            <tr bgcolor="Yellow">
          </c:when>
          <c:when test="${currentStatus.count%2==0}">
            <tr bgcolor="EEEEEE">
          </c:when>
          <c:otherwise>
            <tr bgcolor="White">
          </c:otherwise>
          </c:choose>
          <td>
            <a href="editDeptDP.do?rowKeyStr=<c:out value='${Row.rowKeyStr}' />">Edit</a>
          </td>
          <td>
            <a href="setCurrentDeptDA.do?rowKeyStr=<c:out value='${Row.rowKeyStr}' />">Delete</a>
          </td>
          <td>
            <c:out value="${Row.currencyString}"/>
          </td>
          <td>
            <c:out value="${Row['DepartmentId']}"/>&nbsp;
          </td>
          <td>
            <c:out value="${Row['DepartmentName']}"/>&nbsp;
          </td>
          <td>
           <logic:greaterThan scope="page" value="200" name="Row" property="ManagerId"><b></logic:greaterThan>
            <c:out value="${Row['ManagerId']}"/>&nbsp;
          <logic:greaterThan scope="page" value="200" name="Row" property="ManagerId"></b></logic:greaterThan>
          </td>
          <td>
            <c:out value="${Row['LocationId']}"/>&nbsp;
          </td>
        </tr>
      </c:forEach>
    </table>
  </html:form>
  <html:form action="/browseDeptDP.do">
    <input type="hidden" name="<c:out value='${bindings.statetokenid}'/>" value="<c:out value='${bindings.statetoken}'/>"/>
    <input type="submit" name="event_Commit" value="Commit" <c:out value="${bindings.Commit.enabledString}" />/>
    <input type="submit" name="event_Rollback" value="Rollback" <c:out value="${bindings.Rollback.enabledString}" />/>
  </html:form>
  <html:link page="/createDeptDA.do">
    Create a department
  </html:link>
</body>
</html>
