package hrejb.model;
import javax.ejb.EJBLocalObject;
import java.sql.Timestamp;
import java.util.Collection;

public interface EmployeesLocal extends EJBLocalObject 
{
  Long getEmployeeId();

  String getFirstName();

  void setFirstName(String firstName);

  String getLastName();

  void setLastName(String lastName);

  String getEmail();

  void setEmail(String email);

  String getPhoneNumber();

  void setPhoneNumber(String phoneNumber);

  Timestamp getHireDate();

  void setHireDate(Timestamp hireDate);

  String getJobId();

  void setJobId(String jobId);

  Double getSalary();

  void setSalary(Double salary);

  Double getCommissionPct();

  void setCommissionPct(Double commissionPct);

  EmployeesLocal getEmployees_managerId();

  void setEmployees_managerId(EmployeesLocal employees_managerId);

  Collection getEmployees_managerId_1();

  void setEmployees_managerId_1(Collection employees_managerId_1);

  Collection getDepartments_managerId();

  void setDepartments_managerId(Collection departments_managerId);

  DepartmentsLocal getDepartments_departmentId();

  void setDepartments_departmentId(DepartmentsLocal departments_departmentId);
}