package hrtoplink.model;
import oracle.toplink.publicinterface.DatabaseRow;

public class Employees 
{
  int employeeId;
  String name;
  int departmentId;

  public Employees()
  {
  }

  public int getEmployeeId()
  {
    return employeeId;
  }

  public void setEmployeeId(int employeeId)
  {
    this.employeeId = employeeId;
  }

  public String getName()
  {
    return name;
  }

  public void setName(String name)
  {
    this.name = name;
  }

  public int getDepartmentId()
  {
    return departmentId;
  }

  public void setDepartmentId(int departmentId)
  {
    this.departmentId = departmentId;
  }
  
  public String calculateName(DatabaseRow row)
  {
    String firstName = (String) row.get("FIRST_NAME");
    String lastName = (String) row.get("LAST_NAME");
    return firstName + " " + lastName;
  }
  
  public String nameToFirstName()
  {
    int spacePosition = getName().indexOf(' ');
    return getName().substring(0, spacePosition);
  }
  
  public String nameToLastName()
  {
    int spacePosition = getName().indexOf(' ');
    return getName().substring(spacePosition + 1);
  }
}