package shapes.client;

public class Box extends Shape {
  int height; // override the Shape height
  int depth; // unique to Box

  public Box() {
    height = 4;
    width = 3; // the width from Shape
    depth = 2;
  }

  public int getDepth() {
    return depth;
  }

  public void setDepth(int newDepth) {
    depth = newDepth;
  }

  // super.getWidth is the same as getWidth() here
  public int getVolume() {
    return height * super.getWidth() * getDepth();
  }
}