package layout;
import javax.swing.JFrame;
import java.awt.Dimension;
import oracle.jdeveloper.layout.BoxLayout2;
import javax.swing.JPanel;
import javax.swing.BorderFactory;
import javax.swing.border.EtchedBorder;
import javax.swing.BoxLayout;
import javax.swing.JSeparator;
import java.awt.Color;

public class BoxLayoutFrame extends JFrame 
{
  private BoxLayout2 boxLayout21 = new BoxLayout2();
  private JPanel jPanel1 = new JPanel();
  private JPanel jPanel2 = new JPanel();
  private JSeparator jSeparator1 = new JSeparator();

  public BoxLayoutFrame()
  {
    try
    {
      jbInit();
    }
    catch(Exception e)
    {
      e.printStackTrace();
    }

  }

  private void jbInit() throws Exception
  {
    this.getContentPane().setLayout(boxLayout21);
    this.setSize(new Dimension(400, 300));
    this.setTitle("BoxLayout");
    boxLayout21.setAxis(BoxLayout.Y_AXIS);
    jPanel1.setBorder(BorderFactory.createEtchedBorder(EtchedBorder.LOWERED));
    jPanel1.setMaximumSize(new Dimension(350, 32767));
    jPanel1.setSize(new Dimension(350, 163));
    jPanel2.setBorder(BorderFactory.createEtchedBorder(EtchedBorder.LOWERED));
    jPanel2.setMaximumSize(new Dimension(200, 200));
    jPanel2.setPreferredSize(new Dimension(100, 100));
    jPanel2.setSize(new Dimension(100, 100));
    jSeparator1.setSize(new Dimension(394, 20));
    jSeparator1.setMinimumSize(new Dimension(1, 20));
    jSeparator1.setMaximumSize(new Dimension(32767, 20));
    jSeparator1.setPreferredSize(new Dimension(0, 10));
    jSeparator1.setBorder(BorderFactory.createLineBorder(Color.black, 2));
    this.getContentPane().add(jPanel1, null);
    this.getContentPane().add(jSeparator1, null);
    this.getContentPane().add(jPanel2, null);
  }
}