package layout.client;
import javax.swing.JFrame;
import java.awt.Dimension;
import java.awt.BorderLayout;
import javax.swing.JPanel;
import java.awt.GridBagLayout;
import java.awt.FlowLayout;
import javax.swing.BorderFactory;
import javax.swing.border.EtchedBorder;

public class FlowLayoutFrame extends JFrame 
{
  private BorderLayout borderLayout1 = new BorderLayout();
  private JPanel mainPanel = new JPanel();
  private FlowLayout flowLayout1 = new FlowLayout();
  private JPanel jPanel1 = new JPanel();
  private JPanel jPanel2 = new JPanel();
  private JPanel jPanel3 = new JPanel();

  public FlowLayoutFrame()
  {
    try
    {
      jbInit();
    }
    catch(Exception e)
    {
      e.printStackTrace();
    }

  }

  private void jbInit() throws Exception
  {
    this.getContentPane().setLayout(borderLayout1);
    this.setSize(new Dimension(400, 300));
    this.setTitle("FlowLayout");
    mainPanel.setLayout(flowLayout1);
    flowLayout1.setAlignment(0);
    flowLayout1.setVgap(10);
    flowLayout1.setHgap(10);
    jPanel1.setPreferredSize(new Dimension(150, 50));
    jPanel1.setBorder(BorderFactory.createEtchedBorder(EtchedBorder.LOWERED));
    jPanel2.setPreferredSize(new Dimension(50, 100));
    jPanel2.setBorder(BorderFactory.createEtchedBorder(EtchedBorder.LOWERED));
    jPanel3.setPreferredSize(new Dimension(250, 20));
    jPanel3.setBorder(BorderFactory.createEtchedBorder(EtchedBorder.LOWERED));
    jPanel3.setOpaque(false);
    jPanel3.setSize(new Dimension(250, 20));
    mainPanel.add(jPanel3, null);
    mainPanel.add(jPanel2, null);
    mainPanel.add(jPanel1, null);
    this.getContentPane().add(mainPanel, BorderLayout.CENTER);
  }
}