package layout.client;
import javax.swing.JFrame;
import java.awt.Dimension;
import javax.swing.JPanel;
import java.awt.Rectangle;
import java.awt.FlowLayout;
import oracle.jdeveloper.layout.VerticalFlowLayout;
import javax.swing.BorderFactory;
import javax.swing.border.EtchedBorder;

public class VerticalFlowLayoutFrame extends JFrame 
{
  private JPanel jPanel1 = new JPanel();
  private VerticalFlowLayout verticalFlowLayout1 = new VerticalFlowLayout();
  private JPanel jPanel2 = new JPanel();
  private JPanel jPanel3 = new JPanel();
  private JPanel jPanel4 = new JPanel();
  private JPanel jPanel5 = new JPanel();

  public VerticalFlowLayoutFrame()
  {
    try
    {
      jbInit();
    }
    catch(Exception e)
    {
      e.printStackTrace();
    }

  }

  private void jbInit() throws Exception
  {
    this.getContentPane().setLayout(verticalFlowLayout1);
    this.setSize(new Dimension(262, 281));
    jPanel1.setBorder(BorderFactory.createEtchedBorder(EtchedBorder.LOWERED));
    jPanel1.setPreferredSize(new Dimension(100, 50));
    jPanel2.setBorder(BorderFactory.createEtchedBorder(EtchedBorder.LOWERED));
    jPanel2.setPreferredSize(new Dimension(100, 50));
    jPanel3.setBorder(BorderFactory.createEtchedBorder(EtchedBorder.LOWERED));
    jPanel3.setPreferredSize(new Dimension(100, 20));
    jPanel4.setBorder(BorderFactory.createEtchedBorder(EtchedBorder.LOWERED));
    jPanel4.setPreferredSize(new Dimension(100, 50));
    jPanel5.setBorder(BorderFactory.createEtchedBorder(EtchedBorder.LOWERED));
    jPanel5.setPreferredSize(new Dimension(100, 50));
    this.getContentPane().add(jPanel1, null);
    this.getContentPane().add(jPanel5, null);
    this.getContentPane().add(jPanel4, null);
    this.getContentPane().add(jPanel3, null);
    this.getContentPane().add(jPanel2, null);
  }
}