package layout.client;
import javax.swing.JFrame;
import java.awt.Dimension;
import java.awt.BorderLayout;
import javax.swing.JPanel;
import javax.swing.JLabel;
import java.awt.GridBagLayout;
import java.awt.GridBagConstraints;
import java.awt.Insets;
import java.awt.FlowLayout;
import java.awt.Rectangle;
import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JTextPane;
import javax.swing.JTextField;

public class GridBagLayoutFrame extends JFrame 
{
  private BorderLayout borderLayout1 = new BorderLayout();
  private JPanel jPanel1 = new JPanel();
  private JLabel jLabel1 = new JLabel();
  private JLabel jLabel2 = new JLabel();
  private JLabel jLabel3 = new JLabel();
  private JButton jButton1 = new JButton();
  private JButton jButton2 = new JButton();
  private JButton jButton3 = new JButton();
  private JButton jButton4 = new JButton();
  private JComboBox jComboBox1 = new JComboBox();
  private JComboBox jComboBox2 = new JComboBox();
  private JButton jButton5 = new JButton();
  private JButton jButton6 = new JButton();
  private JTextPane jTextPane1 = new JTextPane();
  private JTextField jTextField1 = new JTextField();
  private GridBagLayout gridBagLayout1 = new GridBagLayout();

  public GridBagLayoutFrame()
  {
    try
    {
      jbInit();
    }
    catch(Exception e)
    {
      e.printStackTrace();
    }

  }

  private void jbInit() throws Exception
  {
    this.getContentPane().setLayout(borderLayout1);
    this.setSize(new Dimension(400, 300));
    this.setTitle("GridBagLayout");
    jPanel1.setLayout(gridBagLayout1);
    jLabel1.setText("Save in:");
    jLabel2.setText("File name:");
    jLabel3.setText("Save as type:");
    jButton1.setText("jButton1");
    jButton2.setText("jButton1");
    jButton3.setText("jButton1");
    jButton4.setText("jButton1");
    jButton5.setText("Cancel");
    jButton6.setText("Save");
    jTextField1.setText("jTextField1");
    jPanel1.add(jTextField1, new GridBagConstraints(1, 2, 3, 1, 1.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(5, 5, 5, 5), 158, 5));
    jPanel1.add(jTextPane1, new GridBagConstraints(0, 1, 6, 1, 1.0, 1.0, GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(7, 5, 8, 7), 309, 145));
    jPanel1.add(jButton6, new GridBagConstraints(4, 2, 3, 1, 0.0, 0.0, GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0, 15, 0, 9), 9, 2));
    jPanel1.add(jButton5, new GridBagConstraints(4, 3, 2, 1, 0.0, 0.0, GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(5, 15, 5, 11), 1, 2));
    jPanel1.add(jComboBox2, new GridBagConstraints(1, 3, 3, 1, 1.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(5, 5, 5, 5), 190, 5));
    jPanel1.add(jComboBox1, new GridBagConstraints(1, 0, 1, 1, 1.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(10, 0, 0, 0), 155, 5));
    jPanel1.add(jButton4, new GridBagConstraints(5, 0, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(10, 0, 0, 3), -50, 0));
    jPanel1.add(jButton3, new GridBagConstraints(4, 0, 1, 1, 0.0, 0.0, GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(10, 7, 0, 0), -50, 0));
    jPanel1.add(jButton2, new GridBagConstraints(3, 0, 1, 1, 0.0, 0.0, GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(10, 3, 0, 3), -50, 0));
    jPanel1.add(jButton1, new GridBagConstraints(2, 0, 1, 1, 0.0, 0.0, GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(10, 0, 0, 0), -50, 0));
    jPanel1.add(jLabel3, new GridBagConstraints(0, 3, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(15, 5, 0, 0), 0, 1));
    jPanel1.add(jLabel2, new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(10, 5, 0, 0), 17, 1));
    jPanel1.add(jLabel1, new GridBagConstraints(0, 0, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(10, 5, 0, 0), 26, 1));
    this.getContentPane().add(jPanel1, BorderLayout.CENTER);
  }
}