package locdept.view;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.table.*;
import javax.swing.text.*;
import oracle.jbo.uicli.jui.*;
import oracle.jbo.uicli.controls.*;
import oracle.jbo.uicli.binding.*;
import oracle.adf.model.*;
import oracle.adf.model.binding.*;
import java.util.ArrayList;

import oracle.jdeveloper.layout.*;

public class PanelLocationsView1 extends JPanel implements JUPanel 
{
  // Panel binding definition used by design time
  private JUPanelBinding panelBinding = new JUPanelBinding("PanelLocationsView1UIModel");

// Panel containing the data entry fields

  private JPanel dataPanel = new JPanel();
  private BorderLayout borderLayout = new BorderLayout();

// The navigation bar

  private JUNavigationBar navBar = new JUNavigationBar();

// Layout used by panel

  private GridBagLayout panelLayout = new GridBagLayout();

// Fields for attribute:  LocationId

  private JLabel labelLocationId = new JLabel();
  private JTextField mLocationId = new JTextField();

// Fields for attribute:  StreetAddress

  private JLabel labelStreetAddress = new JLabel();
  private JTextField mStreetAddress = new JTextField();

// Fields for attribute:  PostalCode

  private JLabel labelPostalCode = new JLabel();
  private JTextField mPostalCode = new JTextField();

// Fields for attribute:  City

  private JLabel labelCity = new JLabel();
  private JTextField mCity = new JTextField();

// Fields for attribute:  StateProvince

  private JLabel labelStateProvince = new JLabel();
  private JTextField mStateProvince = new JTextField();

// Fields for attribute:  CountryId

  private JLabel labelCountryId = new JLabel();
  private JTextField mCountryId = new JTextField();


  /**
   * 
   *  The default constructor for panel
   */
  public PanelLocationsView1()
  {
  }

  /**
   * 
   *  the JbInit method
   */
  public void jbInit() throws Exception
  {
    // Layout definition for this panel
    dataPanel.setLayout(panelLayout);
    dataPanel.setMinimumSize(new Dimension(100, 100));
    this.setLayout(borderLayout);
    mLocationId.setDocument((Document)panelBinding.bindUIControl("LocationId", mLocationId));
    dataPanel.add(labelLocationId, new GridBagConstraints(0, 0, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(0, 0, 0, 5), 1, 1));
    dataPanel.add(mLocationId, new GridBagConstraints(1, 0, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 5), 1, 1));
    labelLocationId.setLabelFor(mLocationId);
    mLocationId.setColumns(15);
    labelLocationId.setText(panelBinding.findCtrlValueBinding("LocationId").getLabel());
    mLocationId.setToolTipText(panelBinding.findCtrlValueBinding("LocationId").getTooltip());
    mStreetAddress.setDocument((Document)panelBinding.bindUIControl("StreetAddress", mStreetAddress));
    dataPanel.add(labelStreetAddress, new GridBagConstraints(2, 0, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(0, 0, 0, 5), 1, 1));
    dataPanel.add(mStreetAddress, new GridBagConstraints(3, 0, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 5), 1, 1));
    labelStreetAddress.setLabelFor(mStreetAddress);
    mStreetAddress.setColumns(15);
    labelStreetAddress.setText(panelBinding.findCtrlValueBinding("StreetAddress").getLabel());
    mStreetAddress.setToolTipText(panelBinding.findCtrlValueBinding("StreetAddress").getTooltip());
    mPostalCode.setDocument((Document)panelBinding.bindUIControl("PostalCode", mPostalCode));
    dataPanel.add(labelPostalCode, new GridBagConstraints(0, 1, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(0, 0, 0, 5), 1, 1));
    dataPanel.add(mPostalCode, new GridBagConstraints(1, 1, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 5), 1, 1));
    labelPostalCode.setLabelFor(mPostalCode);
    mPostalCode.setColumns(15);
    labelPostalCode.setText(panelBinding.findCtrlValueBinding("PostalCode").getLabel());
    mPostalCode.setToolTipText(panelBinding.findCtrlValueBinding("PostalCode").getTooltip());
    mCity.setDocument((Document)panelBinding.bindUIControl("City", mCity));
    dataPanel.add(labelCity, new GridBagConstraints(2, 1, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(0, 0, 0, 5), 1, 1));
    dataPanel.add(mCity, new GridBagConstraints(3, 1, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 5), 1, 1));
    labelCity.setLabelFor(mCity);
    mCity.setColumns(15);
    labelCity.setText(panelBinding.findCtrlValueBinding("City").getLabel());
    mCity.setToolTipText(panelBinding.findCtrlValueBinding("City").getTooltip());
    mStateProvince.setDocument((Document)panelBinding.bindUIControl("StateProvince", mStateProvince));
    dataPanel.add(labelStateProvince, new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(0, 0, 0, 5), 1, 1));
    dataPanel.add(mStateProvince, new GridBagConstraints(1, 2, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 5), 1, 1));
    labelStateProvince.setLabelFor(mStateProvince);
    mStateProvince.setColumns(15);
    labelStateProvince.setText(panelBinding.findCtrlValueBinding("StateProvince").getLabel());
    mStateProvince.setToolTipText(panelBinding.findCtrlValueBinding("StateProvince").getTooltip());
    mCountryId.setDocument((Document)panelBinding.bindUIControl("CountryId", mCountryId));
    dataPanel.add(labelCountryId, new GridBagConstraints(2, 2, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(0, 0, 0, 5), 1, 1));
    dataPanel.add(mCountryId, new GridBagConstraints(3, 2, 1, 1, 0.0, 0.0, GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 5), 1, 1));
    labelCountryId.setLabelFor(mCountryId);
    mCountryId.setColumns(15);
    labelCountryId.setText(panelBinding.findCtrlValueBinding("CountryId").getLabel());

    // Bind the navigation bar
    mCountryId.setToolTipText(panelBinding.findCtrlValueBinding("CountryId").getTooltip());
    navBar.setModel(JUNavigationBar.createViewBinding(panelBinding, navBar, "LocationsView1", null, "LocationsView1Iter"));
    // Layout the datapanel and the navigation bar
    add(navBar, BorderLayout.NORTH);
    add(dataPanel, BorderLayout.CENTER);


  }

  public static void main(String [] args)
  {
    try
    {
      UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
    }
    catch(Exception exemp)
    {
      exemp.printStackTrace();
    }

    PanelLocationsView1 panel = new PanelLocationsView1();
    panel.setBindingContext(JUTestFrame.startTestFrame("DataBindings.cpx", "LocDeptModuleDataControl", panel, panel.getPanelBinding(), new Dimension(400, 300)));
    panel.revalidate();
  }

  /**
   * 
   *  JClientPanel implementation
   */
  public JUPanelBinding getPanelBinding()
  {
    return panelBinding;
  }

  private void unRegisterProjectGlobalVariables(BindingContext bindCtx)
  {
    JUUtil.unRegisterNavigationBarInterface(panelBinding, bindCtx);
  }

  private void registerProjectGlobalVariables(BindingContext bindCtx)
  {
    JUUtil.registerNavigationBarInterface(panelBinding, bindCtx);
  }

  public void setBindingContext(BindingContext bindCtx)
  {
    if (panelBinding.getPanel() == null)
    {
      panelBinding = panelBinding.setup(bindCtx, this);
      registerProjectGlobalVariables(bindCtx);
      panelBinding.refreshControl();
      try
      {
        jbInit();
        panelBinding.refreshControl();
      }
      catch(Exception ex)
      {
        panelBinding.reportException(ex);
      }

    }
  }
}